Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1353935 - Dashboard UI is not automatically updated
Summary: Dashboard UI is not automatically updated
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine-dashboard
Classification: oVirt
Component: Core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Vojtech Szocs
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 12:54 UTC by Pavel Stehlik
Modified: 2017-10-02 05:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-02 05:58:45 UTC
oVirt Team: UX
oourfali: ovirt-4.2?
mgoldboi: planning_ack+
pstehlik: devel_ack?
pstehlik: testing_ack+


Attachments (Terms of Use)
dash-logout.log (deleted)
2016-07-08 12:54 UTC, Pavel Stehlik
no flags Details

Description Pavel Stehlik 2016-07-08 12:54:34 UTC
Created attachment 1177683 [details]
dash-logout.log

Description of problem:
 Based on the MinimalViable requirement UI should be refreshed every (15mins?) by default. After 30mins logout happened. In meantime there were no automatic updates of Dashboard UI (the browser has focus time to time & for sure during last ~10mins).


Version-Release number of selected component (if applicable):
beta1 4.0
FF47.0 & Chrome52....

How reproducible:


Steps to Reproduce:
1. I had 2 browsers from 1 client opened
2. in one browser just observe the behaviour (FF 47)
3. in 2nd browser make changes (adding Storage, creating & starting VM)

Actual results:
no changes in UI (not detected active session through dashboard?) & eventually signoff.

Expected results:
dashboard is updated without browser refresh

Additional info:
Att engine log (the test started ~2016-07-08 11:33:30) {UI Dash said was updated 11:35.. and then 12:05.. signed off automatically}.

Comment 3 Vojtech Szocs 2016-07-15 15:34:38 UTC
For automatic data refresh:

- different UI parts should have different refresh rates, e.g. inventory (top) refreshed more frequently than utilization (middle) and heat maps (bottom)

- refresh logic should take browser window focus into account (just like existing data grids do) where appropriate, e.g. define "out of focus refresh rate" for different UI parts

- data refresh should work even if Dashboard tab is not currently selected in WebAdmin UI


For auto-logout after staying too long on Dashboard tab:

- current dashboard UI doesn't expose any actions that should touch UI user's session, it only visualizes data and offers links to different objects (different tabs)

- it's not a problem to prevent auto-logout while staying on Dashboard tab, the question is if that's the correct/expected behavior

Comment 4 Oved Ourfali 2017-10-02 05:58:45 UTC
We are adding a refresh button.
No plans to auto-refresh.

Closing as wontfix.


Note You need to log in before you can comment on or make changes to this bug.